#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <QDialog>
#include <QSpinBox>
#include <QCheckBox>

class SettingsDialog : public QDialog
{
    Q_OBJECT
public:
    explicit SettingsDialog(QWidget *parent = nullptr);
    static void loadSettings();
private:
    void saveSettings();

    QSpinBox *m_preloadImages;
    QSpinBox *m_thumSize;
    QCheckBox *m_useNativeDialog;
};

#endif // SETTINGSDIALOG_H
